New beta release (5.0.0.65-BETA)

There is a new beta release (5.0.0.65-BETA) available to download on our
download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

I apologize for repeating this question as I suspect the answer is obvious,
but it has kept us from testing Lucee for a couple of weeks now.

With both this version and the previous one that you referred us to
(5.0.0.49), it is easy enough to install but the server & web admin files
are not deployed. Everything else is - our web contexts get
/lucee/context/admin folders but that folder just contains other folders
and no .CFM files.

I remember reading that the administrator was itself an extension now, so
presumably the fix is to drop in the appropriate .LEX file, but I do not
see immediately where to find it.

Thank you,
Samuel Knowlton

To respond to my own answer (maybe it is helpful for others):
I fixed this issue by downloading the Express version and copying the
context/deploy folder to my server.
After reloading the service the Admin was accessible again.
As expected, the Lucee Admin was moved to an extensions.

Unfortunately I lost my webs and web settings with this update. And some
Admin settings were changed/missing.

-HarryAm Mittwoch, 2. September 2015 14:05:41 UTC+2 schrieb Harry Klein:

Thanks for this update, I replaced the lucee.jar and all jars in the
bundle folder.

But now I get these errors if I try to open the server/web administration?
Page /admin/server.cfm
[/opt/tomcat/lucee-web/cms/context/admin/server.cfm] not found
Page /admin/web.cfm [/opt/tomcat/lucee-web/cms/context/admin/web.cfm] not
found

Maybe I missed something in my upgrade steps?
I remember that I heard something about moving the admin to an extension?
Maybe this was the case?

Thanks,Harry

Am Montag, 31. August 2015 22:14:32 UTC+2 schrieb Information Lucee:

There is a new beta release (5.0.0.65-BETA) available to download on our
download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

Thanks for this update, I replaced the lucee.jar and all jars in the bundle
folder.

But now I get these errors if I try to open the server/web administration?
Page /admin/server.cfm [/opt/tomcat/lucee-web/cms/context/admin/server.cfm]
not found
Page /admin/web.cfm [/opt/tomcat/lucee-web/cms/context/admin/web.cfm] not
found

Maybe I missed something in my upgrade steps?
I remember that I heard something about moving the admin to an extension?
Maybe this was the case?

Thanks,HarryAm Montag, 31. August 2015 22:14:32 UTC+2 schrieb Information Lucee:

There is a new beta release (5.0.0.65-BETA) available to download on our
download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

The web and server admin extensions are there but didn’t load for me on the
first run, restarting worked for me but…

no other extensions are available in the extensions menu.

also having issues with the postgres jdbc osgi stuff, would love to use the
most recent jdbc driver 9.4 vs 9.1 but that damn osgi
won’t recognize it, or it’s not a osgi enabled jar or whatever.

How about a other-jdbc driver database connection extension that we could
still drop our jar files in the lib directory without needing osgi
than set our own class/connection strings.On Tuesday, September 1, 2015 at 10:59:16 AM UTC-5, Samuel W. Knowlton wrote:

I apologize for repeating this question as I suspect the answer is
obvious, but it has kept us from testing Lucee for a couple of weeks now.

With both this version and the previous one that you referred us to
(5.0.0.49), it is easy enough to install but the server & web admin files
are not deployed. Everything else is - our web contexts get
/lucee/context/admin folders but that folder just contains other folders
and no .CFM files.

I remember reading that the administrator was itself an extension now, so
presumably the fix is to drop in the appropriate .LEX file, but I do not
see immediately where to find it.

Thank you,
Samuel Knowlton

The admin get automatically installed after startup with new
Lucee installations (Lucee express), because the admin extension is in the
deploy folder (along others). Problem is that Lucee checks only every
minute if there are new extensions to deploy. So after startup it takes a
minute until the extension get installed, we will improve that, that it
looks earlier after startup.

MichaAm Dienstag, 1. September 2015 schrieb Samuel W. Knowlton :

I apologize for repeating this question as I suspect the answer is
obvious, but it has kept us from testing Lucee for a couple of weeks now.

With both this version and the previous one that you referred us to
(5.0.0.49), it is easy enough to install but the server & web admin files
are not deployed. Everything else is - our web contexts get
/lucee/context/admin folders but that folder just contains other folders
and no .CFM files.

I remember reading that the administrator was itself an extension now, so
presumably the fix is to drop in the appropriate .LEX file, but I do not
see immediately where to find it.

Thank you,
Samuel Knowlton


See Lucee at CFCamp Oct 22 & 23 2015 @ Munich Airport, Germany - Get your
ticket NOW - http://www.cfcamp.org/

You received this message because you are subscribed to the Google Groups
“Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lucee+unsubscribe@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee%2Bunsubscribe@googlegroups.com’);>.
To post to this group, send email to lucee@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee@googlegroups.com’);>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/lucee/361fa148-728a-4c4c-b186-e01122abdc70%40googlegroups.com
https://groups.google.com/d/msgid/lucee/361fa148-728a-4c4c-b186-e01122abdc70%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

To be honest we have spend no time to make the current releases of Lucee 5
update able.
We will do an update guide in the wiki for people updating from 4.5 to 5.
With details about the admin installation.

Btw as long you have an Internet connection you don’t have to update the
bundles jars, Lucee will take care on startup that all bundles are present
in the right version and download a jar if necessary. It also doesn’t
matter if there are multiple versions of the same bundle in the bundles
folder. Lucee only loads the jars necessary and it recognize the right jar
by reading the manifest of the jar.

MichaAm Mittwoch, 2. September 2015 schrieb Harry Klein :

To respond to my own answer (maybe it is helpful for others):
I fixed this issue by downloading the Express version and copying the
context/deploy folder to my server.
After reloading the service the Admin was accessible again.
As expected, the Lucee Admin was moved to an extensions.

Unfortunately I lost my webs and web settings with this update. And some
Admin settings were changed/missing.

-Harry

Am Mittwoch, 2. September 2015 14:05:41 UTC+2 schrieb Harry Klein:

Thanks for this update, I replaced the lucee.jar and all jars in the
bundle folder.

But now I get these errors if I try to open the server/web administration?
Page /admin/server.cfm
[/opt/tomcat/lucee-web/cms/context/admin/server.cfm] not found
Page /admin/web.cfm [/opt/tomcat/lucee-web/cms/context/admin/web.cfm] not
found

Maybe I missed something in my upgrade steps?
I remember that I heard something about moving the admin to an extension?
Maybe this was the case?

Thanks,Harry

Am Montag, 31. August 2015 22:14:32 UTC+2 schrieb Information Lucee:

There is a new beta release (5.0.0.65-BETA) available to download on our
download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error


See Lucee at CFCamp Oct 22 & 23 2015 @ Munich Airport, Germany - Get your
ticket NOW - http://www.cfcamp.org/


You received this message because you are subscribed to the Google Groups
“Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lucee+unsubscribe@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee%2Bunsubscribe@googlegroups.com’);>.
To post to this group, send email to lucee@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee@googlegroups.com’);>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/lucee/3c76abae-ea3d-4bcf-afb6-4305d11a672d%40googlegroups.com
https://groups.google.com/d/msgid/lucee/3c76abae-ea3d-4bcf-afb6-4305d11a672d%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

Hi Micha,

no problem, I should use Slack more often – I read the discussion about the Admin extension too late.
A update guide already exists, we have to add some details there:
https://bitbucket.org/lucee/lucee/wiki/Lucee_5_Upgrading_Railo

Thanks fort he hint about the bundles.

-HarryVon: lucee@googlegroups.com [mailto:lucee@googlegroups.com] Im Auftrag von Michael Offner
Gesendet: Donnerstag, 3. September 2015 08:49
An: lucee@googlegroups.com
Cc: lucee-supporters@googlegroups.com
Betreff: [Lucee] Re: new beta release (5.0.0.65-BETA)

To be honest we have spend no time to make the current releases of Lucee 5 update able.
We will do an update guide in the wiki for people updating from 4.5 to 5.
With details about the admin installation.

Btw as long you have an Internet connection you don’t have to update the bundles jars, Lucee will take care on startup that all bundles are present in the right version and download a jar if necessary. It also doesn’t matter if there are multiple versions of the same bundle in the bundles folder. Lucee only loads the jars necessary and it recognize the right jar by reading the manifest of the jar.

Micha

Am Mittwoch, 2. September 2015 schrieb Harry Klein :
To respond to my own answer (maybe it is helpful for others):
I fixed this issue by downloading the Express version and copying the context/deploy folder to my server.
After reloading the service the Admin was accessible again.
As expected, the Lucee Admin was moved to an extensions.

Unfortunately I lost my webs and web settings with this update. And some Admin settings were changed/missing.

-Harry

Am Mittwoch, 2. September 2015 14:05:41 UTC+2 schrieb Harry Klein:
Thanks for this update, I replaced the lucee.jar and all jars in the bundle folder.

But now I get these errors if I try to open the server/web administration?
Page /admin/server.cfm [/opt/tomcat/lucee-web/cms/context/admin/server.cfm] not found
Page /admin/web.cfm [/opt/tomcat/lucee-web/cms/context/admin/web.cfm] not found

Maybe I missed something in my upgrade steps?
I remember that I heard something about moving the admin to an extension? Maybe this was the case?

Thanks,Harry

Am Montag, 31. August 2015 22:14:32 UTC+2 schrieb Information Lucee:
There is a new beta release (5.0.0.65-BETA) available to download on our download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

See Lucee at CFCamp Oct 22 & 23 2015 @ Munich Airport, Germany - Get your ticket NOW - http://www.cfcamp.org/

You received this message because you are subscribed to the Google Groups “Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an email to lucee+unsubscribe@googlegroups.com<javascript:_e(%7B%7D,‘cvml’,‘lucee%2Bunsubscribe@googlegroups.com’);>.
To post to this group, send email to lucee@googlegroups.com<javascript:_e(%7B%7D,‘cvml’,‘lucee@googlegroups.com’);>.
To view this discussion on the web visit https://groups.google.com/d/msgid/lucee/3c76abae-ea3d-4bcf-afb6-4305d11a672d%40googlegroups.comhttps://groups.google.com/d/msgid/lucee/3c76abae-ea3d-4bcf-afb6-4305d11a672d%40googlegroups.com?utm_medium=email&utm_source=footer.
For more options, visit https://groups.google.com/d/optout.

See Lucee at CFCamp Oct 22 & 23 2015 @ Munich Airport, Germany - Get your ticket NOW - http://www.cfcamp.org/

You received this message because you are subscribed to the Google Groups “Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an email to lucee+unsubscribe@googlegroups.commailto:lucee+unsubscribe@googlegroups.com.
To post to this group, send email to lucee@googlegroups.commailto:lucee@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/lucee/CAG%2BEEBxrEYx-ejdhsC%3DiXD4khiRrfnFdGNar5bnMUiDfW_rA3A%40mail.gmail.comhttps://groups.google.com/d/msgid/lucee/CAG%2BEEBxrEYx-ejdhsC%3DiXD4khiRrfnFdGNar5bnMUiDfW_rA3A%40mail.gmail.com?utm_medium=email&utm_source=footer.
For more options, visit https://groups.google.com/d/optout.

OSGi is changing the game when it comes to JDBC, JDBC is made to be unique
to one JVM instance and when loaded not can be changed until you restart
the JVM. With help of OSGi and some tricks we where able to get different
versions running at the same time and that we can unload already loaded
drivers. So you can for example load postgre 9.1 in one context and 9.4 in
an other. You can even load one version in one datasource definition and an
other version in a other datasource definition of the same context (needs
manual settings in the XML).
Problem with that is that The Lucee OSGi engine completely ignores classes
loaded by the system classloader, because it handles all classes by itself.
So best is really using the Extension to install drivers, I I’ll provide
version 9.1and 9.4 for download.

MichaAm Mittwoch, 2. September 2015 schrieb mmm mmm :

The web and server admin extensions are there but didn’t load for me on
the first run, restarting worked for me but…

no other extensions are available in the extensions menu.

also having issues with the postgres jdbc osgi stuff, would love to use
the most recent jdbc driver 9.4 vs 9.1 but that damn osgi
won’t recognize it, or it’s not a osgi enabled jar or whatever.

How about a other-jdbc driver database connection extension that we could
still drop our jar files in the lib directory without needing osgi
than set our own class/connection strings.

On Tuesday, September 1, 2015 at 10:59:16 AM UTC-5, Samuel W. Knowlton wrote:

I apologize for repeating this question as I suspect the answer is
obvious, but it has kept us from testing Lucee for a couple of weeks now.

With both this version and the previous one that you referred us to
(5.0.0.49), it is easy enough to install but the server & web admin files
are not deployed. Everything else is - our web contexts get
/lucee/context/admin folders but that folder just contains other folders
and no .CFM files.

I remember reading that the administrator was itself an extension now, so
presumably the fix is to drop in the appropriate .LEX file, but I do not
see immediately where to find it.

Thank you,
Samuel Knowlton


See Lucee at CFCamp Oct 22 & 23 2015 @ Munich Airport, Germany - Get your
ticket NOW - http://www.cfcamp.org/

You received this message because you are subscribed to the Google Groups
“Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lucee+unsubscribe@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee%2Bunsubscribe@googlegroups.com’);>.
To post to this group, send email to lucee@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee@googlegroups.com’);>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/lucee/21f24416-874f-467c-a559-1957c7b72d90%40googlegroups.com
https://groups.google.com/d/msgid/lucee/21f24416-874f-467c-a559-1957c7b72d90%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

While I will grab the express version to solve this for now, how was I
meant to get the admin extension with just the JAR installation? It did not
have the admin extension in the deploy folder.>> On Thursday, September 3, 2015 at 1:22:16 AM UTC-5, Micha wrote:

The admin get automatically installed after startup with new
Lucee installations (Lucee express), because the admin extension is in the
deploy folder (along others).

That problem will only exist for updates of existing installations and
custom installations, we will do a wiki entry for this that will explain
the install step by step including the admin. We are working ATM to improve
our download page, in the future it will dynamically recognize that there
is an update and provide all necessary data. Not only for Lucee itself, we
will also provide all available extension to download.

MichaAm Donnerstag, 3. September 2015 schrieb Samuel W. Knowlton :

On Thursday, September 3, 2015 at 1:22:16 AM UTC-5, Micha wrote:

The admin get automatically installed after startup with new
Lucee installations (Lucee express), because the admin extension is in the
deploy folder (along others).

While I will grab the express version to solve this for now, how was I
meant to get the admin extension with just the JAR installation? It did not
have the admin extension in the deploy folder.


See Lucee at CFCamp Oct 22 & 23 2015 @ Munich Airport, Germany - Get your
ticket NOW - http://www.cfcamp.org/

You received this message because you are subscribed to the Google Groups
“Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lucee+unsubscribe@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee%2Bunsubscribe@googlegroups.com’);>.
To post to this group, send email to lucee@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee@googlegroups.com’);>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/lucee/b2c1093b-561a-4e3c-bf22-3601ad86fa2e%40googlegroups.com
https://groups.google.com/d/msgid/lucee/b2c1093b-561a-4e3c-bf22-3601ad86fa2e%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

Can you explain in detail? I also faced that web admin and server admin is
inaccessible. How to solve this?On Wednesday, September 2, 2015 at 8:18:41 PM UTC+5:30, Harry Klein wrote:

To respond to my own answer (maybe it is helpful for others):
I fixed this issue by downloading the Express version and copying the
context/deploy folder to my server.
After reloading the service the Admin was accessible again.
As expected, the Lucee Admin was moved to an extensions.

Unfortunately I lost my webs and web settings with this update. And some
Admin settings were changed/missing.

-Harry

Am Mittwoch, 2. September 2015 14:05:41 UTC+2 schrieb Harry Klein:

Thanks for this update, I replaced the lucee.jar and all jars in the
bundle folder.

But now I get these errors if I try to open the server/web administration?
Page /admin/server.cfm
[/opt/tomcat/lucee-web/cms/context/admin/server.cfm] not found
Page /admin/web.cfm [/opt/tomcat/lucee-web/cms/context/admin/web.cfm] not
found

Maybe I missed something in my upgrade steps?
I remember that I heard something about moving the admin to an extension?
Maybe this was the case?

Thanks,Harry

Am Montag, 31. August 2015 22:14:32 UTC+2 schrieb Information Lucee:

There is a new beta release (5.0.0.65-BETA) available to download on our
download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

OK it will be accessible after 1 minute.On Tuesday, September 8, 2015 at 3:34:36 PM UTC+5:30, Vikas Patel wrote:

Can you explain in detail? I also faced that web admin and server admin is
inaccessible. How to solve this?

On Wednesday, September 2, 2015 at 8:18:41 PM UTC+5:30, Harry Klein wrote:

To respond to my own answer (maybe it is helpful for others):
I fixed this issue by downloading the Express version and copying the
context/deploy folder to my server.
After reloading the service the Admin was accessible again.
As expected, the Lucee Admin was moved to an extensions.

Unfortunately I lost my webs and web settings with this update. And some
Admin settings were changed/missing.

-Harry

Am Mittwoch, 2. September 2015 14:05:41 UTC+2 schrieb Harry Klein:

Thanks for this update, I replaced the lucee.jar and all jars in the
bundle folder.

But now I get these errors if I try to open the server/web
administration?
Page /admin/server.cfm
[/opt/tomcat/lucee-web/cms/context/admin/server.cfm] not found
Page /admin/web.cfm [/opt/tomcat/lucee-web/cms/context/admin/web.cfm]
not found

Maybe I missed something in my upgrade steps?
I remember that I heard something about moving the admin to an
extension? Maybe this was the case?

Thanks,Harry

Am Montag, 31. August 2015 22:14:32 UTC+2 schrieb Information Lucee:

There is a new beta release (5.0.0.65-BETA) available to download on
our download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

The admin is an extension now, so it takes some time until Lucee has
installed it …

MichaAm Dienstag, 8. September 2015 schrieb Vikas Patel :

OK it will be accessible after 1 minute.

On Tuesday, September 8, 2015 at 3:34:36 PM UTC+5:30, Vikas Patel wrote:

Can you explain in detail? I also faced that web admin and server admin
is inaccessible. How to solve this?

On Wednesday, September 2, 2015 at 8:18:41 PM UTC+5:30, Harry Klein wrote:

To respond to my own answer (maybe it is helpful for others):
I fixed this issue by downloading the Express version and copying the
context/deploy folder to my server.
After reloading the service the Admin was accessible again.
As expected, the Lucee Admin was moved to an extensions.

Unfortunately I lost my webs and web settings with this update. And some
Admin settings were changed/missing.

-Harry

Am Mittwoch, 2. September 2015 14:05:41 UTC+2 schrieb Harry Klein:

Thanks for this update, I replaced the lucee.jar and all jars in the
bundle folder.

But now I get these errors if I try to open the server/web
administration?
Page /admin/server.cfm
[/opt/tomcat/lucee-web/cms/context/admin/server.cfm] not found
Page /admin/web.cfm [/opt/tomcat/lucee-web/cms/context/admin/web.cfm]
not found

Maybe I missed something in my upgrade steps?
I remember that I heard something about moving the admin to an
extension? Maybe this was the case?

Thanks,Harry

Am Montag, 31. August 2015 22:14:32 UTC+2 schrieb Information Lucee:

There is a new beta release (5.0.0.65-BETA) available to download on
our download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error


See Lucee at CFCamp Oct 22 & 23 2015 @ Munich Airport, Germany - Get your
ticket NOW - http://www.cfcamp.org/


You received this message because you are subscribed to the Google Groups
“Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lucee+unsubscribe@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee%2Bunsubscribe@googlegroups.com’);>.
To post to this group, send email to lucee@googlegroups.com
<javascript:_e(%7B%7D,‘cvml’,‘lucee@googlegroups.com’);>.
To view this discussion on the web visit
https://groups.google.com/d/msgid/lucee/9b422b10-dfde-4fbb-8575-915f57e76cd6%40googlegroups.com
https://groups.google.com/d/msgid/lucee/9b422b10-dfde-4fbb-8575-915f57e76cd6%40googlegroups.com?utm_medium=email&utm_source=footer
.
For more options, visit https://groups.google.com/d/optout.

Hey, just getting to the point of playing with this. I wanted to share my
experience.

First off, I’m doing this all in Eclipse, and with no pre-existing
installation of Lucee.

So, I setup a maven-based webapp and added lucee 5.0.0.65 as a dependency.
Cool! Except…it added a crap-ton of compile-time dependencies that get
dumped into web-inf/lib. Trying to run it on tomcat with all those
dependencies prevents the site from launching. So I added exclusions for
everything except for lucee and felix. Success - I can now deploy to
tomcat and get a basic index page.

Next - time to inspect the admin. Navigate to /lucee/admin/web.cfm throws
an exception saying that it is unavailable. I read that it is an extension
that is supposedly automatically installed. No such luck. I do notice
the lucee-admin.lar in the context folder, and decide to drag that into the
deploy folder. Success, sortof. The admin is deployed as /admin (not
/lucee/admin). I try to log in, and it fails to load the stylesheet from
[host/webapp]/res/css/admin-6eff1a86ddbfdec9.css.cfm?1442983046863. I go
and manually reconfigure the lucee-web.xml.cfm mapping for the admin and
change the virtual from “/admin” to “/lucee/admin” and everything now works.

Here’s what I’d have to see changed in order for this to be production
ready.

  1. Provide a maven artifact of the lucee-x.x.x.x.jar that only has the
    felix framework dependency for the purpose of easily setting up a maven
    webapp.
  2. Provide a servlet parameter that tells it to add the (correct) mapping
    for the lucee-admin.lar automatically.On Monday, August 31, 2015 at 3:14:32 PM UTC-5, Information Lucee wrote:

There is a new beta release (5.0.0.65-BETA) available to download on our
download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

Ok, some more personal discovery going on here. Apparently the automatic
install of the admin does take place if you’re working with the express
version. I however am not. Therefore, I need to make sure my webapp has
the necessary .lex files placed in WEB-INF/lucee/deploy. Not quite what I
was hoping for as far as dependency management goes, but perhaps this too
shall improve. So scratch off #2.

Also, and this may be that the extension provider is not yet setup, but I
do not see any other extensions available to install other than what i’ve
installed.On Wednesday, September 23, 2015 at 6:38:02 AM UTC-5, Jesse Shaffer wrote:

Hey, just getting to the point of playing with this. I wanted to share my
experience.

First off, I’m doing this all in Eclipse, and with no pre-existing
installation of Lucee.

So, I setup a maven-based webapp and added lucee 5.0.0.65 as a dependency.
Cool! Except…it added a crap-ton of compile-time dependencies that get
dumped into web-inf/lib. Trying to run it on tomcat with all those
dependencies prevents the site from launching. So I added exclusions for
everything except for lucee and felix. Success - I can now deploy to
tomcat and get a basic index page.

Next - time to inspect the admin. Navigate to /lucee/admin/web.cfm throws
an exception saying that it is unavailable. I read that it is an extension
that is supposedly automatically installed. No such luck. I do notice
the lucee-admin.lar in the context folder, and decide to drag that into the
deploy folder. Success, sortof. The admin is deployed as /admin (not
/lucee/admin). I try to log in, and it fails to load the stylesheet from
[host/webapp]/res/css/admin-6eff1a86ddbfdec9.css.cfm?1442983046863. I go
and manually reconfigure the lucee-web.xml.cfm mapping for the admin and
change the virtual from “/admin” to “/lucee/admin” and everything now works.

Here’s what I’d have to see changed in order for this to be production
ready.

  1. Provide a maven artifact of the lucee-x.x.x.x.jar that only has the
    felix framework dependency for the purpose of easily setting up a maven
    webapp.
  2. Provide a servlet parameter that tells it to add the (correct) mapping
    for the lucee-admin.lar automatically.

On Monday, August 31, 2015 at 3:14:32 PM UTC-5, Information Lucee wrote:

There is a new beta release (5.0.0.65-BETA) available to download on our
download page:
http://lucee.org/downloads.html.

You cannot update to this version from within the Lucee Administrator.

Have a good day

Release Notes:
[LDEV-340] - SpoolerEngineImpl$SimpleThread can get in an endless loop
[LDEV-370] - cfscript Query doesn’t play well with oracle parameters
[LDEV-432] - Better ORM Errors, Include SQL statement
[LDEV-492] - XML objects don’t cast to string properly
[LDEV-501] - PostgreSQL Driver Queries Fail in 4.5.2.005
[LDEV-503] - Lucee fails to read cookie
[LDEV-504] - controller thread can get blocked
[LDEV-509] - datasource storage clean open new connection
[LDEV-511] - coldbox fails with Lucee 5
[LDEV-502] - JavaInterface.getClass() Throws Error

Earlier this week, I installed Lucee 5 (.098) from the JAR and then grabbed
the administrator from the Express ZIP. Easy.

I went to do the same thing today from scratch, but none of the Express
installers (for the beta release or the snapshot release) seem to have a
/context/deploy folder. The administrator does not seem to be installed
automatically from the JAR version.

Where can I find the extension for the administrator, or is there an
alternative means of doing this now?

Thanks,
Sam

there was an email from Micha about moving deploy folder up one levelOn 14 November 2015 at 08:10, Samuel W. Knowlton <@Samuel_W_Knowlton> wrote:

Earlier this week, I installed Lucee 5 (.098) from the JAR and then
grabbed the administrator from the Express ZIP. Easy.

I went to do the same thing today from scratch, but none of the Express
installers (for the beta release or the snapshot release) seem to have a
/context/deploy folder. The administrator does not seem to be installed
automatically from the JAR version.

Where can I find the extension for the administrator, or is there an
alternative means of doing this now?

Thanks,
Sam


Love Lucee? Become a supporter and be part of the Lucee project today! -
http://lucee.org/supporters/become-a-supporter.html

You received this message because you are subscribed to the Google Groups
“Lucee” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to lucee+unsubscribe@googlegroups.com.
To post to this group, send email to lucee@googlegroups.com.
To view this discussion on the web visit
https://groups.google.com/d/msgid/lucee/00c5f4ac-a50a-4582-b6fa-ee336d7b6e46%40googlegroups.com
https://groups.google.com/d/msgid/lucee/00c5f4ac-a50a-4582-b6fa-ee336d7b6e46%40googlegroups.com?utm_medium=email&utm_source=footer
.

For more options, visit https://groups.google.com/d/optout.

AJ Mercer
<webonix:net strength=“Industrial” /> http://webonix.net | <webonix:org
community=“Open” /> http://webonix.org
http://twitter.com/webonix